> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Enrichment Provider



## OpenAPI

````yaml POST /v1/enrichment-providers/{provider_uuid}/test
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/enrichment-providers/{provider_uuid}/test:
    post:
      tags:
        - enrichment-providers
      summary: Test Enrichment Provider
      operationId: >-
        test_enrichment_provider_v1_enrichment_providers__provider_uuid__test_post
      parameters:
        - name: provider_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrichmentProviderTestRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponse_EnrichmentProviderTestResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnrichmentProviderTestRequest:
      properties:
        indicator_type:
          type: string
          title: Indicator Type
        indicator_value:
          type: string
          title: Indicator Value
      type: object
      required:
        - indicator_type
        - indicator_value
      title: EnrichmentProviderTestRequest
      description: Request body for POST /v1/enrichment-providers/{uuid}/test.
    DataResponse_EnrichmentProviderTestResponse_:
      properties:
        data:
          $ref: '#/components/schemas/EnrichmentProviderTestResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[EnrichmentProviderTestResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnrichmentProviderTestResponse:
      properties:
        success:
          type: boolean
          title: Success
        provider_name:
          type: string
          title: Provider Name
        indicator_type:
          type: string
          title: Indicator Type
        indicator_value:
          type: string
          title: Indicator Value
        extracted:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extracted
        raw_response:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Raw Response
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        duration_ms:
          type: integer
          title: Duration Ms
          default: 0
        steps:
          anyOf:
            - items:
                $ref: '#/components/schemas/HttpStepDebug'
              type: array
            - type: 'null'
          title: Steps
      type: object
      required:
        - success
        - provider_name
        - indicator_type
        - indicator_value
      title: EnrichmentProviderTestResponse
      description: Response body for the test endpoint.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HttpStepDebug:
      properties:
        step_name:
          type: string
          title: Step Name
        step_index:
          type: integer
          title: Step Index
        indicator_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Indicator Value
        request_method:
          type: string
          title: Request Method
        request_url:
          type: string
          title: Request Url
        request_headers:
          additionalProperties:
            type: string
          type: object
          title: Request Headers
        request_query_params:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Request Query Params
        request_body:
          anyOf:
            - {}
            - type: 'null'
          title: Request Body
        response_status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status Code
        response_headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Response Headers
        response_body:
          anyOf:
            - {}
            - type: 'null'
          title: Response Body
        duration_ms:
          type: integer
          title: Duration Ms
          default: 0
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        skipped:
          type: boolean
          title: Skipped
          default: false
      type: object
      required:
        - step_name
        - step_index
        - request_method
        - request_url
        - request_headers
      title: HttpStepDebug
      description: Per-step HTTP request/response debug info for test results.

````